package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Client;
import cn.wise.sc.cement.business.model.vo.ClientVo;
import cn.wise.sc.cement.business.model.vo.DataStatisticsVo;
import cn.wise.sc.cement.business.model.vo.EntrustVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-07
 */
public interface DataStatisticsMapper  {

	List<DataStatisticsVo> countTeamByTime(@Param("params") Map<String, Object> params);

	List<DataStatisticsVo> countTeamByOrigin(@Param("params") Map<String, Object> params);

}
